Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class SystemException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

Direct Known Subclasses:
  BAD_CONTEXT, BAD_INV_ORDER, BAD_OPERATION, BAD_PARAM, BAD_QOS, BAD_TYPECODE, CODESET_INCOMPATIBLE, COMM_FAILURE, DATA_CONVERSION, FREE_MEM, IMP_LIMIT, IndirectionException, INITIALIZE, INTERNAL, INTF_REPOS, INV_FLAG, INV_IDENT, INV_OBJREF, INV_POLICY, INVALID_TRANSACTION, MARSHAL, NO_IMPLEMENT, NO_MEMORY, NO_PERMISSION, NO_RESOURCES, NO_RESPONSE, OBJ_ADAPTER, OBJECT_NOT_EXIST, ORBRuntimeException, PERSIST_STORE, REBIND, TIMEOUT, TRANSACTION_MODE, TRANSACTION_REQUIRED, TRANSACTION_ROLLEDBACK, TRANSACTION_UNAVAILABLE, TRANSIENT, UNKNOWN, UnknownException, WrongTransaction

public abstract class SystemException
extends java.lang.RuntimeException
implements org.apache.avalon.framework.CascadingThrowable

See Also:
  Serialized Form

Field Summary
`CompletionStatus` | `completed`
`int` | `minor`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### minor

    public int minor

### completed

    public CompletionStatus completed

Method Detail

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

### getCause

    public java.lang.Throwable getCause()

  Specified by:
    `getCause` in interface `org.apache.avalon.framework.CascadingThrowable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD